Skip to main content
Drivers / Assets and Liabilities

Update asset for a driver

This method requires the DriverAssets:Update permission to be associated with your role.

PUT
/fm/driver/assets/{driver_asset_id}
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
driver_asset_idstringrequired

Driver Asset Id

Maximum string length: 20
Pattern: ^[1-9]{1}[0-9]*$
Audit-User-Idstringheader

(Optional) User Id to use for audit purposes. This header requires the Audit:UserIdOverride permission to be associated with your role.

Maximum string length: 5
Pattern: ^[1-9]{1}[0-9]*$

Body

application/json

JSON payload

amountnumber

Amount

Example: 100000
descriptionstring

Asset Description

Example: An example asset description
finance_asset_type_idstring

Finance Asset Type Id

Example: 3196195708503852455

Response

application/vnd.catch-e-api.v1+json

Asset updated successfully

amountnumber
descriptionstring
driver_asset_idstring
driver_idstring
finance_asset_type_idstring
finance_asset_type_namestring
ownershipstring